
QGIS Application - Bug report #20552

Attached KML file crashes QGIS

2018-11-19 01:02 PM - Kent Stanton

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28372

Description

Attempting to open the attached KML file crashes QGIS. The file is mal-formed, there is a broken tag, but attempting to open it should not

result in a crash.

Crash ID: 908a15574fb722fafc87cec7459bbd6f27bd732c

Stack Trace

DGNStrokeCurve :

DGNStrokeCurve :

GMLFeature::GetOBProperties :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::front :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::size :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::rfind :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::max_size :

OGREnvelope::OGREnvelope :

QgsProviderRegistry::createProvider :

QgsVectorLayer::setDataProvider :

QgsVectorLayer::setDataSource :

QgsVectorLayer::QgsVectorLayer :

QgisApp::addVectorLayers :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QgsDataSourceManagerDialog::addVectorLayers :

QMetaObject::activate :

QgsAbstractDataSourceWidget::addVectorLayers :

handlesDirectoryPath :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::dataSourceManager :

QgisApp::identify :

QMetaObject::activate :

QAction::activate :

QAction::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QShortcutMap::dispatchEvent :

QShortcutMap::tryShortcut :

QWindowSystemInterface::handleShortcutEvent :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
History

#1 - 2018-11-20 07:30 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Does not crash on 3.4.1 on linux, please give 3 4.1 a try. 3.2 is obsolete.

#2 - 2019-01-15 04:10 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

Track-181027-090853-0.kml 169 KB 2018-11-19 Kent Stanton
